/2026-01/retail-media/accounts/{account-id}/campaigns
curl --request GET \
--url https://api.criteo.com/2026-01/retail-media/accounts/{account-id}/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2026-01/retail-media/accounts/{account-id}/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2026-01/retail-media/accounts/{account-id}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"isAutoDailyPacing": true,
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"budget": 123,
"budgetRemaining": 123,
"budgetSpent": 123,
"clickAttributionScope": "unknown",
"clickAttributionWindow": "30D",
"companyName": "<string>",
"dailyPacing": 123,
"drawableBalanceIds": [
"<string>"
],
"endDate": "2023-11-07T05:31:56Z",
"monthlyPacing": 123,
"onBehalfCompanyName": "<string>",
"promotedBrandIds": [
"<string>"
],
"retailerId": 123,
"startDate": "2023-11-07T05:31:56Z",
"status": "unknown",
"type": "auction",
"viewAttributionScope": "unknown",
"viewAttributionWindow": "none"
}
}
],
"metadata": {
"currentPageIndex": 123,
"currentPageSize": 123,
"nextPage": "<string>",
"previousPage": "<string>",
"totalItemsAcrossAllPages": 123,
"totalPages": 123
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"type": "unknown"
}
]
}/2026-01/retail-media/accounts/{account-id}/campaigns
Gets page of campaign objects for the given account id
GET
/
2026-01
/
retail-media
/
accounts
/
{account-id}
/
campaigns
/2026-01/retail-media/accounts/{account-id}/campaigns
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://api.criteo.com/oauth2
- Token URL
- https://api.criteo.com/oauth2/token
FlowClient Credentials
- Token URL
- https://api.criteo.com/oauth2/token
Scopes1
RetailMedia_Campaign_Read
Grants Read access to the capabilities from the Campaign domain, for RetailMedia applications
Path Parameters
The given account id
Query Parameters
The ids that you would like to limit your result set to
The 0 indexed page index you would like to receive given the page size
Required range:
0 <= x <= 2147483647The maximum number of items you would like to receive in this request
Required range:
1 <= x <= 2147483647Was this page helpful?